﻿// ==========================================================================
// SampleCategory.cs
// Silverlight Shapes Library
// ==========================================================================
// Copyright (c) Silverlight Shapes Development Group
// All rights reserved.
// ==========================================================================

using System.Collections.ObjectModel;
using System.Windows.Markup;

namespace SD.Samples.Configuration
{
    /// <summary>
    /// Stores the configuration of one sample category of the application.
    /// </summary>
    [ContentProperty("Samples")]
    public sealed class SampleCategory
    {
        /// <summary>
        /// Gets or sets the name of the sample category.
        /// </summary>
        /// <value>The name of the sample category.</value>
        public string Name { get; set; }

        /// <summary>
        /// Gets or sets a text that describes the sample category.
        /// </summary>
        /// <value>The text that describes the sample category.</value>
        public string Description { get; set; }

        private Collection<Sample> _samples = new Collection<Sample>();
        /// <summary>
        /// Gets the collection of all samples of the sample category.
        /// </summary>
        /// <value>The collection of all samples of the sample category.</value>
        public Collection<Sample> Samples
        {
            get { return _samples; }
        }
    }
}
