﻿// ==========================================================================
// SampleRepository.cs
// Silverlight Shapes Library
// ==========================================================================
// Copyright (c) Silverlight Shapes Development Group
// All rights reserved.
// ==========================================================================

using System.Collections.ObjectModel;
using System.Windows.Markup;

namespace SD.Samples.Configuration
{
    /// <summary>
    /// Container to store the sample categories of the application.
    /// </summary>
    [ContentProperty("SampleCatagories")]
    public sealed class SampleRepository
    {
        private Collection<SampleCategory> _sampleCategories = new Collection<SampleCategory>();
        /// <summary>
        /// Gets the collection of all sample categories of the application.
        /// </summary>
        /// <value>The sample catagories of the application.</value>
        public Collection<SampleCategory> SampleCatagories
        {
            get { return _sampleCategories; }
        }
    }
}
